import { ConstructorType } from '@overflow/commons/core/type';
import MemberReducer from '@overflow/modules/member/reducer/member_reducer';


const reducers: ConstructorType[] = [
  MemberReducer,
];

const state: any = {

};

export interface ReduxConfig {
  state: any;
  reducers: ConstructorType[];
}

const reduxConfig: ReduxConfig = {
  state: state,
  reducers: reducers,
};

// Configuration
export interface WebAppConfig {
  redux: ReduxConfig;
}

const config: WebAppConfig = {
  redux: reduxConfig,
};

export default config;
